/*******************************************************************
 *
 *	File:		GlobalData.h
 *
 *	Author:		Peter van Sebille (peter@yipton.demon.co.uk)
 *
 *	(c) Copyright 2001, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __GLOBALDATA__H
#define __GLOBALDATA__H

#include <w32std.h>		// for EEventUser


class TGameOptions
{
public:
	enum TOrientation
	{
		EOrientationNone = 0,
		EOrientationLeft,
		EOrientationRight,
		EOrientationUpsideDown
	};

	enum TContrast
	{
		EContrastNone = 0,
		EContrastSetToLow
	};

	enum TGameSize
	{
		EGameSizeNormal = 0,
		EGameSizeFitScreen
	};

	TOrientation	iOrientation;
	TContrast		iContrast;
	TGameSize		iGameSize;
	TBool			iSoundEnabled;
};



#define KGlobalDataChunkName	_L("DOOM_GLOBAL")


#endif			/* __GLOBALDATA__H */